%global commitid ea593f051e258c0730f6ba3836053a010294a728
%global gitversion ea593f0
# gitdate 20081122

Summary:        SNMP support for Perl 5
Name:           perl-SNMP_Session
Version:        1.13
Release:        6%{?dist}
License:        Artistic 2.0
URL:            https://github.com/sleinen/snmp-session
Source0:        %{url}/archive/%{commitid}/snmp-session-%{gitversion}.tar.gz 

BuildRequires:  make
BuildRequires:  perl-generators perl(ExtUtils::MakeMaker)

BuildArch:      noarch

%description
Pure Perl SNMP v1 and SNMP v2 support for Perl 5.
The SNMP operations currently supported are "get", "get-next", "get-bulk"
and "set", as well as trap generation and reception. 


%prep
%autosetup -n snmp-session-%{commitid}
rm Net_SNMP_util.pm
perl -pi -e 's{^#!/usr/local/bin/perl\b}{#!%{__perl}}' test/*
chmod -c 644 test/*


%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build


%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name Net_SNMP_util.3pm -delete
find %{buildroot} -type f -name .packlist -delete
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*


%check
%make_build test


%files
%doc Artistic README README.SNMP_util index.html test/
%{perl_vendorlib}/*


%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.13-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.13-5
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.13-4
- Remove perl-libs which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.13-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.13-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Mar 16 2023 Miaojun Dong <zoedong@tencent.com> - 1.13-1
- initial build
